Subject: Re: [PATCH v3 01/10] xdiff: delete static forward declarations in xprepare

From: Ben Knoble <[email-masked]>
Date: Sat, 20 Sep 2025 18:25:00 -0400

> Le 20 sept. 2025 à 14:31, Elijah Newren <[email-masked]> a écrit :
> 
> On Sat, Sep 20, 2025 at 10:41 AM Ezekiel Newren <[email-masked]> wrote:
>> 
>> On Sat, Sep 20, 2025 at 11:16 AM Junio C Hamano <[email-masked]> wrote:
>>>> Best-viewed-with: --color-moved
>>> 
>>> Two comments.
>>> 
>>> - This is a bit unusual to see in the trailer.
>> 
>> I'm still not sure what the etiquette is for including those kinds of
>> flags in a commit message. Could you show me my full commit message as
>> a response with your preferred way of adding those flags in a commit
>> message? please.
> 
> This command run in git.git will give lots of examples from various authors:
>   git log --grep="est viewed with"
> 
> I didn't call out the trailer because I saw Ben suggest it in this
> thread, and he said he had seen Peff do this.  But, searching right
> now, I can't actually find any such trailers from Peff or anyone else
> -- am I just searching wrong?

Looks like I misremembered. (Maybe I was remembering Peff’s notes, but I thought I had seen a differently-named trailer.) My apologies!